function init_security()
{
	$('#security-save').off('click');
	$('#security-save').click(function(event){
		event.preventDefault();
		security_save();
	});
	
	get_security();
}

/////////////////////////////////////////////////////////////////////////////////////////

function get_security()
{
	var datastr = get_ajax_datastr("admin", "auth", "get");
	ajax_call(datastr, ajax_security_get, null);
}

/////////////////////////////////////////////////////////////////////////////////////////

function security_save()
{
	$('#security-error').html('');
	var emdata = $('#security-form').serialize();
	var datastr = get_ajax_datastr("admin", "auth", "set");
	datastr += "&" + emdata;
	ajax_call(datastr, ajax_security_save, null);
}

/////////////////////////////////////////////////////////////////////////////////////////

function ajax_security_get(x, jqXHR, textStatus, params)
{
	if(x != null) {
		$('#security-error').html('');
		if(x.status == 'ok') {
			var security = x.data;
			for (var key in security) {
				 if(security.hasOwnProperty(key)) {
					if(security[key] !== false)
						$('#'+key).val(security[key]);
				 }
			}
		}
	}
}

/////////////////////////////////////////////////////////////////////////////////////////

function ajax_security_save(x, jqXHR, textStatus, params)
{
	if(x != null) {
		if(x.status == 'ok') {
			$('#security-error').html('ok');
		}
	}
}